ヽ|∵|ゝ(Fantom) の 開発blog? ホーム » Unity »【Unity】InitializeUnityExtensions: Must have a valid path for the plugin [XX] (XX:番号) というエラーの修正方法

【Unity】InitializeUnityExtensions: Must have a valid path for the plugin [XX] (XX:番号) というエラーの修正方法  


 トラブルシューティングの備忘録。Unity 5.5.1 にアップデートして使ってたら、突然以下のエラーが出るようになった。

InitializeUnityExtensions: Must have a valid path for the plugin [XX] (XX:番号)
Extension was not registered, that means it relies on default UnityExtensions settings, please register extension and apply necessary settings for it in the callback.
・・・(以下番号違いが出る)・・・

(※) Unity 5.5.1f1 / Windows10(x64) で確認

 特に何もせず、ただプロジェクトを開いたら、どのプロジェクトでも出るようになってしまったので、とりあえずググってみたら以下のページがひっかかった。

(参考) InitializeUnityExtensions: Must have a valid path for plugin[1]

 全部読んだわけではないが、「[Reimport All](プロジェクトビューで右クリック>Reimport All]) をしたらなおった」のようなことが書いてあったので、試してみたら本当になおった(笑)。

 また再びプロジェクト開いたら、別の警告なども出るようになったが、気にしなくても大丈夫のようだ。5.5.1 は安定性悪いのかもね。

 いったい何だったんだろう?まぁ、トラブったらググるのが一番だね。もはや世界は繋がっていて、どこかで誰かが助けてくれるのは本当にありがたい。なので、同じように困った人のために記録しておく(笑)。


(関連記事)
【Unity】5.6 の Canvas の警告:Shader channels Normal and Tangent are most often used with lighting~ を消す
【Unity】【C#】AssetBundleManager を WebGL で使う・エラー対処法
【Unity】Japanese Otaku City(秋葉原モデル)のピンクテクスチャの修正方法
【Unity】"~\Temp\Assembly-CSharp.dll.mdb" is denied. と出たら…


スポンサーサイト

category: Unity

thread: ゲーム開発

janre: コンピュータ

tag: Unityトラブルシューティング 
tb: 0   cm: --


トラックバック

トラックバックURL
→http://fantom1x.blog130.fc2.com/tb.php/236-5e6f7aad
この記事にトラックバックする(FC2ブログユーザー)

プロフィール

全記事一覧

カテゴリ

ユーザータグ

最新記事

リンク

PR

▲ Pagetop